# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: python-module-objects.inv python-test
%define oldname python-fabulous
%global modname fabulous

Name:             python-module-fabulous
Version:          0.1.5
Release:          alt1_7
Summary:          Makes your terminal output totally fabulous

Group:            Development/Python
License:          MIT
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://lobstertech.com/media/file/%{modname}/%{modname}-%{version}.tar.gz
Patch0:           0001-Unbundle-fonts.patch

BuildArch:        noarch

BuildRequires:    dos2unix
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-sphinx
Source44: import.info


%description
fabulous is a python module for producing fabulously colored terminal output.

Run the demo to see what's available::

    $ python -m fabulous.demo

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
%{__rm} -f fabulous/fonts/*
%{__rm} fabulous/_xterm256.c
dos2unix README

%build
%{__python} setup.py build 

PYTHONPATH=$(pwd) make -C docs html
%{__rm} -f docs/_build/html/.buildinfo


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README COPYING docs/_build/html

%{python_sitelibdir_noarch}/%{modname}/
%{python_sitelibdir_noarch}/%{modname}-%{version}-*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_7
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_5
- initial fc import

